DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Protected Attributes | List of all members
DSRDocumentTreeNodeFilterList Class Referenceabstract

Base class for a list of document tree node filters. More...

Inheritance diagram for DSRDocumentTreeNodeFilterList:

## Public Member Functions
| DSRDocumentTreeNodeFilterList ()
| default constructor
virtual | ~DSRDocumentTreeNodeFilterList ()
| destructor
OFCondition | addFilter (DSRDocumentTreeNodeFilter *filter)
| add a document tree node filter to the list More...
virtual OFBool | matches (const DSRDocumentTreeNode *node) const =0
| check whether given node matches the filter criteria in the list (abstract) More...
Public Member Functions inherited from DSRDocumentTreeNodeFilter
virtual | ~DSRDocumentTreeNodeFilter ()
| destructor

## Protected Attributes
OFList< DSRDocumentTreeNodeFilter * > | FilterList
| list of pointers to filter criteria

## Detailed Description

Base class for a list of document tree node filters.

## Member Function Documentation

## ◆ addFilter()

OFCondition DSRDocumentTreeNodeFilterList::addFilter | ( | DSRDocumentTreeNodeFilter * | filter | ) |

add a document tree node filter to the list

Parameters

  filter | pointer to a single filter or to a list of filters to be added. Ownership is passed to this list, i.e. memory is deleted by the destructor. Therefore, the instance has to be created with new().

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ matches()

virtual OFBool DSRDocumentTreeNodeFilterList::matches | ( | const DSRDocumentTreeNode * | node | ) | const
| pure virtual

check whether given node matches the filter criteria in the list (abstract)

Parameters

  node | pointer to the node to be checked

Returns
  OFTrue if 'node' matches the filter criteria, OFFalse otherwise

Implements DSRDocumentTreeNodeFilter.

Implemented in DSRDocumentTreeNodeOrFilter, and DSRDocumentTreeNodeAndFilter.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrdnflt.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1